/**
 * Esta clase se utiliza para almacenar un carcter y su nmero de apariciones
 * 
 */

public class FrecuenciaCaracter {
	private char caracter; // Carcter
	private int frecuencia; // Nmero de apariciones
	
	
	/**
	 * 
     * Constructor, inicializa el valor de frecuencia con cero. 
     *  
     */
	public FrecuenciaCaracter(){
	   frecuencia=0;
	}
	
	/**
     * Mtodo que asigna un valor al atributo 'carcter'
     * @param ch carcter que se asigna al objeto  
     */
	public void setCaracter(char ch){
		caracter= ch;
	}
	
	/**
	 * Mtodo que retorna el valor del atributo carcter del objeto
	 * @return caracter
	 */
	public char getCaracter(){
		return caracter;
	}

	/**
     * Mtodo que asigna un valor al atributo 'frecuencia'
     * @param valor valor que se asigna al atributo frecuencia del objeto  
     */
	public void setFrecuencia(int valor){
	   frecuencia = valor;
	}
	
	/**
	 * Mtodo que retorna el valor del atributo frecuencia del objeto
	 * @return frecuencia
	 */
	public int getFrecuencia(){
		return frecuencia;
	}
	
	/**
	 * Mtodo que incrementa el valor del atributo frecuencia del objeto
	 */
	public void incrementarFrecuencia(){
		frecuencia ++;
	}

}
